# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(POE/Wheel/Run.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.18
%define module_name POE-Wheel-Run-Win32
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: portably run blocking code and programs in subprocesses
Group: Development/Perl
License: perl
URL: http://github.com/bingos/poe-wheel-run-win32/tree

Source0: http://cpan.org.ua/authors/id/B/BI/BINGOS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
POE::Wheel::Run::Win32 executes a program or block of code in a subprocess.
The parent process may exchange information with the child over the
child's STDIN, STDOUT and STDERR filehandles.

It is basically a shim around the POE::Wheel::Run manpage, since all the code that
do live here has been now merged into that.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- initial import by package builder

